package de.intevation.flys.artifacts.states;

import java.util.List;

import org.apache.log4j.Logger;

import de.intevation.artifactdatabase.state.Facet;

import de.intevation.flys.artifacts.FLYSArtifact;
import de.intevation.flys.artifacts.WINFOArtifact;
import de.intevation.flys.artifacts.model.ComputeCallback;
import de.intevation.flys.artifacts.model.ComputeCallbackAdapter;

public class DischargeLongitudinalSection extends DefaultState {

    private static Logger logger =
        Logger.getLogger(DischargeLongitudinalSection.class);


    @Override
    public ComputeCallback createComputeCallback(
        String hash, FLYSArtifact flys)
    {
        final WINFOArtifact winfo = (WINFOArtifact) flys;

        return new ComputeCallbackAdapter() {

            @Override
            public Object computeAdvance(List<Facet> facets) {
                return winfo.getDischargeLongitudinalSectionData();
            }
        };

    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
